summaryrefslogtreecommitdiffstats
path: root/testing/source/vtown/xfce/xfce4-settings
diff options
context:
space:
mode:
Diffstat (limited to 'testing/source/vtown/xfce/xfce4-settings')
-rw-r--r--testing/source/vtown/xfce/xfce4-settings/slack-desc19
-rwxr-xr-xtesting/source/vtown/xfce/xfce4-settings/xfce4-settings.SlackBuild151
-rw-r--r--testing/source/vtown/xfce/xfce4-settings/xfce4-settings.theme.diff14
-rw-r--r--testing/source/vtown/xfce/xfce4-settings/xfce4-settings.url1
-rw-r--r--testing/source/vtown/xfce/xfce4-settings/xfce4-settings.xft.defaults.diff23
5 files changed, 208 insertions, 0 deletions
diff --git a/testing/source/vtown/xfce/xfce4-settings/slack-desc b/testing/source/vtown/xfce/xfce4-settings/slack-desc
new file mode 100644
index 000000000..3774be250
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-settings/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-settings: xfce4-settings (Xfce settings manager)
+xfce4-settings:
+xfce4-settings: xfce4-settings is the Xfce settings manager front-end. It comes with
+xfce4-settings: several different components for configuring application-independent
+xfce4-settings: settings inside xfconf.
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
diff --git a/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.SlackBuild b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.SlackBuild
new file mode 100755
index 000000000..990b2383e
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/bash
+
+# Copyright 2012, 2016, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=xfce4-settings
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_vtown_1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Set Greybird (GTK theme) and elementary-xfce (icon theme) as system defaults
+zcat $CWD/xfce4-settings.theme.diff.gz | patch -p1 --verbose || exit 1
+
+zcat $CWD/xfce4-settings.xft.defaults.diff.gz | patch -p1 --verbose || exit 1
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-pluggable-dialogs \
+ --enable-sound-settings \
+ --disable-static \
+ --disable-debug \
+ --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# We don't want icon caches:
+find $PKG/usr/share/icons -type f -name "icon-theme.cache" -exec rm -f {} \;
+
+# Add a documentation directory. Not all of these files are expected to be
+# present, but listing them ensures that documentation that might appear and
+# disappear from version to version will not be missed.
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS BUGS COMPOSITOR COPYING* FAQ HACKING INSTALL \
+ NEWS NOTES README* THANKS TODO example.gtkrc-2.0 \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.theme.diff b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.theme.diff
new file mode 100644
index 000000000..898887846
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.theme.diff
@@ -0,0 +1,14 @@
+diff -Nur xfce4-settings-4.11.4.orig/xfsettingsd/xsettings.xml xfce4-settings-4.11.4/xfsettingsd/xsettings.xml
+--- xfce4-settings-4.11.4.orig/xfsettingsd/xsettings.xml 2015-02-16 15:03:11.000000000 -0600
++++ xfce4-settings-4.11.4/xfsettingsd/xsettings.xml 2015-02-17 21:01:05.021259913 -0600
+@@ -6,8 +6,8 @@
+ <?xml version="1.0" encoding="UTF-8"?>
+ <channel name="xsettings" version="1.0">
+ <property name="Net" type="empty">
+- <property name="ThemeName" type="empty"/>
+- <property name="IconThemeName" type="empty"/>
++ <property name="ThemeName" type="string" value="Greybird"/>
++ <property name="IconThemeName" type="string" value="elementary-xfce-dark"/>
+ <property name="DoubleClickTime" type="int" value="400"/>
+ <property name="DoubleClickDistance" type="int" value="5"/>
+ <property name="DndDragThreshold" type="int" value="8"/>
diff --git a/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.url b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.url
new file mode 100644
index 000000000..317e2181d
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.url
@@ -0,0 +1 @@
+http://archive.xfce.org/src/xfce/xfce4-settings/4.12/xfce4-settings-4.12.4.tar.bz2
diff --git a/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.xft.defaults.diff b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.xft.defaults.diff
new file mode 100644
index 000000000..333b615da
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-settings/xfce4-settings.xft.defaults.diff
@@ -0,0 +1,23 @@
+--- ./xfsettingsd/xsettings.xml.orig 2012-04-28 15:48:30.000000000 -0500
++++ ./xfsettingsd/xsettings.xml 2012-07-19 14:32:25.554643922 -0500
+@@ -17,14 +17,19 @@
+ <property name="EnableEventSounds" type="bool" value="false"/>
+ <property name="EnableInputFeedbackSounds" type="bool" value="false"/>
+ </property>
++<!--
++ Commented out. We should not modify the system text rendering defaults.
++ At least not by default. :-)
++ Feel free to uncomment this block and modify it to suit your own needs.
+ <property name="Xft" type="empty">
+ <property name="DPI" type="empty"/>
+ <property name="Antialias" type="int" value="-1"/>
+ <property name="Hinting" type="int" value="-1"/>
+ <property name="HintStyle" type="string" value="hintnone"/>
+ <property name="RGBA" type="string" value="none"/>
+- <!-- <property name="Lcdfilter" type="string" value="none"/> -->
++ <property name="Lcdfilter" type="string" value="none"/>
+ </property>
++-->
+ <property name="Gtk" type="empty">
+ <property name="CanChangeAccels" type="bool" value="false"/>
+ <property name="ColorPalette" type="string" value="black:white:gray50:red:purple:blue:light blue:green:yellow:orange:lavender:brown:goldenrod4:dodger blue:pink:light green:gray10:gray30:gray75:gray90"/>